%define anolis_release 2
# Run tests in check section
# disable for bootstrapping
%bcond_with check
%global goipath  github.com/godbus

%global provider        github
%global provider_tld    com
%global project         godbus
%global repo            dbus

%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}

%global import_path     %{provider_prefix}

%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif



Name:           golang-dbus
Version:        5.0.4
Release:        2%{anolis_release}%{?dist}
Summary:       Go client bindings for D-Bus
License:        GPLv3+
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  dbus-x11
BuildRequires:  golang-bin

Exclusivearch: x86_64 aarch64 i686 loongarch64

Patch0001:     0001-change-import-module-delete-v5.patch

%description
Go client bindings for D-Bus

%prep
%autosetup -p1

%build 
go build 

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for file in $(find . -iname "*.go") ; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%{gopath}/src/%{import_path}/$file" >> devel.file-list
done

%files -f devel.file-list
%doc README.markdown
%license LICENSE

%changelog
* Tue Sep 19 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.4-2.2
- fix build error on a23

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.4-2.1
- Specification spec file

* Wed Jul 12 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.4-2.0.2
- rebuild for anolis 8.9

* Tue Oct 11 2022 liweiganga <liweiganga@uniontech.com> - 5.0.4-2.0.1
- add loongarch64 base support

* Thu Jul 21 2022 liuxingwei <liuxingwei@uniontech.com> - 5.0.4-2
- rebuild for an8.6

* Thu Oct 21 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.0.4-1.02
- Add Arch option

* Thu Oct 21 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.0.4-1.01
- Delete v5 for import module

* Thu Oct 14 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.0.4-1
- Update to 5.0.4
